Page MenuHomePhabricator

Date of creation of Bugzilla report is missing
Closed, ResolvedPublic

Description

bugzillapreview doesn't show anywhere the date of creation of Bugzilla reports, see for instance https://bugzillapreview.wmflabs.org/T6868 (Reported: 2014-03-22 18:12 UTC)

In an ideal world, right below the description a first status would say

Qgil created this task. Via Conduit · Mar 22 2014, 18:12

Probably more importantly, this will affect our capacity to produce metrics over time for any period prior to the migration. See for instance the Bugzilla history versus the Phabricator history.

In our team meetings @chasemp has explained how difficult is to show this because of... Bugzilla or Phabricator API not supporting this (or something along these lines, please add the proper explanation). If we can do this, great. If we can't do this, then let's use this task to document why.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Qgil created this task.Oct 18 2014, 11:56 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Bugzilla-Preview.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Byfserag triaged this task as Medium priority.Oct 19 2014, 7:01 AM
Byfserag added a subscriber: Byfserag.
Qgil updated the task description. (Show Details)Oct 29 2014, 1:55 PM
Qgil assigned this task to chasemp.Oct 29 2014, 9:26 PM

I know that Chase can do magic and I've been given secret hints that this will happen.

Aklapper moved this task from Ready To Go to Doing on the Bugzilla-Preview board.Nov 4 2014, 3:50 PM
chasemp closed this task as Resolved.Nov 5 2014, 4:48 PM

Perfect! Works in the Search Results view and in the task view via "bzimport created this task."

I guess this will make having some activity statistics easier and querying for tickets that have not seen changes for the last two years possible (for retriage).

that field is strictly informational, the "creation" metadata for search was always set fyi (it just doesn't show up anywhere in ui)